ComboBoxBaseRenderer (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.renderkit.ComboBoxBaseRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ComboBoxBaseRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.ComboBoxBaseRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  ComboBoxRenderer, InplaceSelectBaseRenderer

    public class ComboBoxBaseRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Since:
  3.2.0 ComboBox Base renderer implementation
Author:
  Anton Belevich

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`ComboBoxBaseRenderer()`

Method Summary
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeItems(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeSuggestion(javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, java.lang.String value, java.lang.String classes)`
`java.lang.String` | `getAsEventHandler(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attributeName)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
`protected java.lang.String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`
`protected java.lang.String` | `getConvertedStringValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value, javax.faces.convert.Converter converter)`
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue, javax.faces.convert.Converter converter)`
`java.lang.String` | `getItemsTextAsJSArray(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.util.List` | `getValuesList()`
`void` | `setValuesList(java.util.List valuesList)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComboBoxBaseRenderer

    public ComboBoxBaseRenderer()

Method Detail

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

### encodeItems

    public void encodeItems(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Overrides:
    `getConvertedValue` in class `javax.faces.render.Renderer`
  Throws:
    `javax.faces.convert.ConverterException`

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object submittedValue,
                                              javax.faces.convert.Converter converter)

### getConvertedStringValue

    protected java.lang.String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIComponent component,
                                                       java.lang.Object value)

### getConvertedStringValue

    protected java.lang.String getConvertedStringValue(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIComponent component,
                                                       java.lang.Object value,
                                                       javax.faces.convert.Converter converter)

### encodeSuggestion

    public void encodeSuggestion(javax.faces.context.ResponseWriter writer,
                                 javax.faces.component.UIComponent component,
                                 java.lang.String value,
                                 java.lang.String classes)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getItemsTextAsJSArray

    public java.lang.String getItemsTextAsJSArray(javax.faces.context.FacesContext context,
                                                  javax.faces.component.UIComponent component)

### getAsEventHandler

    public java.lang.String getAsEventHandler(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.String attributeName)

### getValuesList

    public java.util.List getValuesList()

### setValuesList

    public void setValuesList(java.util.List valuesList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.